Unity errors.. without any text showing in the console error log gui...

And best of all I can't run or build because of them...
4302364--386359--434535.jpg

[CEF] Unrecognized Content-Security-Policy directive 'child-src'. in https://assetstore.unity.com/
[CEF] Service workers are not supported. in https://assetstore.unity.com/ at line 70
[CEF] Refused to load the script 'https://static.ads-twitter.com/uwt.js' because it violates the following Content Security Policy directive: "script-src 'self'  'unsafe-inline' 'unsafe-eval' *.unity.com *.unity3d.com *.cloudfront.net www.google-analytics.com www.googletagmanager.com tagmanager.google.com cdnjs.cloudflare.com d6tizftlrpuof.cloudfront.net *.optimizely.com cdn.heapanalytics.com heapanalytics.com *.adroll.com *.hotjar.com www.googleadservices.com connect.facebook.net *.doubleclick.net *.resonai.com storage.googleapis.com gen-as-admin-int.storage.googleapis.com gen-as-admin-stg.storage.googleapis.com gen-as-admin-prd.storage.googleapis.com unity-assetstorev2-stg.storage.googleapis.com unity-assetstorev2-prd.storage.googleapis.com *.naver.net *.bizographics.com prf.hn *.qualtrics.com".
in https://assetstore.unity.com/ at line 90
[CEF] Refused to load the script 'https://img06.en25.com/i/elqCfg.min.js' because it violates the following Content Security Policy directive: "script-src 'self'  'unsafe-inline' 'unsafe-eval' *.unity.com *.unity3d.com *.cloudfront.net www.google-analytics.com www.googletagmanager.com tagmanager.google.com cdnjs.cloudflare.com d6tizftlrpuof.cloudfront.net *.optimizely.com cdn.heapanalytics.com heapanalytics.com *.adroll.com *.hotjar.com www.googleadservices.com connect.facebook.net *.doubleclick.net *.resonai.com storage.googleapis.com gen-as-admin-int.storage.googleapis.com gen-as-admin-stg.storage.googleapis.com gen-as-admin-prd.storage.googleapis.com unity-assetstorev2-stg.storage.googleapis.com unity-assetstorev2-prd.storage.googleapis.com *.naver.net *.bizographics.com prf.hn *.qualtrics.com".
in https://assetstore.unity.com/
[CEF] Refused to load the script 'https://js.adsrvr.org/up_loader.1.1.0.js' because it violates the following Content Security Policy directive: "script-src 'self'  'unsafe-inline' 'unsafe-eval' *.unity.com *.unity3d.com *.cloudfront.net www.google-analytics.com www.googletagmanager.com tagmanager.google.com cdnjs.cloudflare.com d6tizftlrpuof.cloudfront.net *.optimizely.com cdn.heapanalytics.com heapanalytics.com *.adroll.com *.hotjar.com www.googleadservices.com connect.facebook.net *.doubleclick.net *.resonai.com storage.googleapis.com gen-as-admin-int.storage.googleapis.com gen-as-admin-stg.storage.googleapis.com gen-as-admin-prd.storage.googleapis.com unity-assetstorev2-stg.storage.googleapis.com unity-assetstorev2-prd.storage.googleapis.com *.naver.net *.bizographics.com prf.hn *.qualtrics.com".
in https://assetstore.unity.com/
[CEF] Unrecognized Content-Security-Policy directive 'child-src'. in about:blank

Tried it again.. literately can't do a thing in the editor due to these invisible(in editor) compile errors that cannot be resolved.

Seems like the issue was windows "Compatibility mode" was turned on with one the Unity hub shortcut... and that was the issue... must have turned it on when setting Hub to run as administrator, cus yknow windows bullsht.

1 Like